package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.math.BigDecimal;

@Slf4j
@Data
@Entity(name = "CHUANYUN_IMPL_COST")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunImplCostDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789implCost";

    @Id
    @GeneratedValue(generator = "idGeneratorChuanyunImplCos")
    @GenericGenerator(name ="idGeneratorChuanyunImplCos" ,strategy="com.galaxis.manatee.capsule.util.GalaxisIdGenerator")
    private Long id;

    /**
     * 项目ID、
     */
    @JsonProperty("ObjectId")
    private String objectId;


    /**
     * 项目ID、
     */
    @JsonProperty("F0000001")
    private String projectId;

    /**
     * 项目编号
     */
    @JsonProperty("F0000002")
    private String projectCode;

    /**
     * 工作组id
     */
    @JsonProperty("F0000006")
    private String workGroup;

    /**
     * 工作组名称
     */
    @JsonProperty("F0000005")
    private String workGroupName;

    /**
     * 费用
     */
    @JsonProperty("F0000004")
    private BigDecimal implCost;

}
